## org.apache.commons.math.ode.nonstiff
Class EulerIntegrator

    java.lang.Object
      org.apache.commons.math.ode.AbstractIntegrator
          org.apache.commons.math.ode.nonstiff.RungeKuttaIntegrator
              org.apache.commons.math.ode.nonstiff.EulerIntegrator

All Implemented Interfaces:
  FirstOrderIntegrator, ODEIntegrator

    public class EulerIntegrator

extends RungeKuttaIntegrator

This class implements a simple Euler integrator for Ordinary Differential Equations.

The Euler algorithm is the simplest one that can be used to integrate ordinary differential equations. It is a simple inversion of the forward difference expression : `f'=(f(t+h)-f(t))/h` which leads to `f(t+h)=f(t)+hf'`. The interpolation scheme used for dense output is the linear scheme already used for integration.

This algorithm looks cheap because it needs only one function evaluation per step. However, as it uses linear estimates, it needs very small steps to achieve high accuracy, and small steps lead to numerical errors and instabilities.

This algorithm is almost never used and has been included in this package only as a comparison reference for more useful integrators.

Since:
  1.2
Version:
  $Revision: 786881 $ $Date: 2009-06-20 14:53:08 -0400 (Sat, 20 Jun 2009) $
See Also:
  `MidpointIntegrator`, `ClassicalRungeKuttaIntegrator`, `GillIntegrator`, `ThreeEighthesIntegrator`

Field Summary
`private static double[][]` `a` Internal weights Butcher array.
`private static double[]` `b` Propagation weights Butcher array.
`private static double[]` `c` Time steps Butcher array.

Fields inherited from class org.apache.commons.math.ode.AbstractIntegrator
`eventsHandlersManager, stepHandlers, stepSize, stepStart`

Constructor Summary
`EulerIntegrator(double step)` Simple constructor.

Method Summary

Methods inherited from class org.apache.commons.math.ode.nonstiff.RungeKuttaIntegrator
`integrate`

Methods inherited from class org.apache.commons.math.ode.AbstractIntegrator
`addEndTimeChecker, addEventHandler, addStepHandler, clearEventHandlers, clearStepHandlers, computeDerivatives, getCurrentSignedStepsize, getCurrentStepStart, getEvaluations, getEventHandlers, getMaxEvaluations, getName, getStepHandlers, requiresDenseOutput, resetEvaluations, sanityChecks, setEquations, setMaxEvaluations`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### c

    private static final double[] c

  Time steps Butcher array.

### a

    private static final double[][] a

  Internal weights Butcher array.

### b

    private static final double[] b

  Propagation weights Butcher array.

Constructor Detail

### EulerIntegrator

    public EulerIntegrator(double step)

  Simple constructor. Build an Euler integrator with the given step.

  Parameters:
    `step` - integration step

Copyright (c) 2003-2010 Apache Software Foundation